Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCustomFont

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenFont, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenCustomFontImpl

    public interface GenCustomFont

extends GenFont

A representation of the model object 'Gen Custom Font'.

The following features are supported:

- `Name`
- `Height`
- `Style`

See Also:
  `GMFGenPackage.getGenCustomFont()`
** Generated **
Model:

Method Summary
`int` `getHeight()` Returns the value of the 'Height' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`FontStyle` `getStyle()` Returns the value of the 'Style' attribute.
`void` `setHeight(int value)` Sets the value of the '`Height`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setStyle(FontStyle value)` Sets the value of the '`Style`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenCustomFont_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getHeight

    int getHeight()

  Returns the value of the 'Height' attribute.

  If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Height' attribute.
  See Also:
    `setHeight(int)`, `GMFGenPackage.getGenCustomFont_Height()`
  ** Generated **
  Model:

### setHeight

    void setHeight(int value)

  Sets the value of the '`Height`' attribute.

  Parameters:
    `value` - the new value of the 'Height' attribute.
  See Also:
    `getHeight()`
  ** Generated **

### getStyle

    FontStyle getStyle()

  Returns the value of the 'Style' attribute. The literals are from the enumeration `FontStyle`.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style' attribute.
  See Also:
    `FontStyle`, `setStyle(FontStyle)`, `GMFGenPackage.getGenCustomFont_Style()`
  ** Generated **
  Model:

### setStyle

    void setStyle(FontStyle value)

  Sets the value of the '`Style`' attribute.

  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `FontStyle`, `getStyle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.